DatanodeInfo.DatanodeInfoBuilder (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: DatanodeInfo, class: DatanodeInfoBuilder

Package org.apache.hadoop.hdfs.protocol

# Class DatanodeInfo.DatanodeInfoBuilder

java.lang.Object
org.apache.hadoop.hdfs.protocol.DatanodeInfo.DatanodeInfoBuilder

Enclosing class:
  DatanodeInfo

public static class DatanodeInfo.DatanodeInfoBuilder extends Object
Building the DataNodeInfo.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DatanodeInfoBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DatanodeInfo`
  `build()`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setAdminState(DatanodeInfo.AdminStates adminState)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setBlockPoolUsed(long blockPoolUsed)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setCacheCapacity(long cacheCapacity)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setCacheUsed(long cacheUsed)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setCapacity(long capacity)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setDatanodeUuid(String datanodeUuid)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setDfsUsed(long dfsUsed)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setFrom(DatanodeInfo from)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setHostName(String hostName)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setInfoPort(int infoPort)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setInfoSecurePort(int infoSecurePort)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setIpAddr(String ipAddr)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setIpcPort(int ipcPort)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setLastBlockReportMonotonic(long time)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setLastBlockReportTime(long time)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setLastUpdate(long lastUpdate)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setLastUpdateMonotonic(long lastUpdateMonotonic)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setNetworkLocation(String networkLocation)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setNodeID(DatanodeID nodeID)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setNonDfsUsed(long nonDfsUsed)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setNumBlocks(int blockCount)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setRemaining(long remaining)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setSoftwareVersion(String dnVersion)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setUpgradeDomain(String upgradeDomain)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setXceiverCount(int xceiverCount)`
  `DatanodeInfo.DatanodeInfoBuilder`
  `setXferPort(int xferPort)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DatanodeInfoBuilder

    public DatanodeInfoBuilder()

- ## Method Details

  - ### setFrom

    public DatanodeInfo.DatanodeInfoBuilder setFrom(DatanodeInfo from)

  - ### setNodeID

    public DatanodeInfo.DatanodeInfoBuilder setNodeID(DatanodeID nodeID)

  - ### setCapacity

    public DatanodeInfo.DatanodeInfoBuilder setCapacity(long capacity)

  - ### setDfsUsed

    public DatanodeInfo.DatanodeInfoBuilder setDfsUsed(long dfsUsed)

  - ### setRemaining

    public DatanodeInfo.DatanodeInfoBuilder setRemaining(long remaining)

  - ### setBlockPoolUsed

    public DatanodeInfo.DatanodeInfoBuilder setBlockPoolUsed(long blockPoolUsed)

  - ### setCacheCapacity

    public DatanodeInfo.DatanodeInfoBuilder setCacheCapacity(long cacheCapacity)

  - ### setCacheUsed

    public DatanodeInfo.DatanodeInfoBuilder setCacheUsed(long cacheUsed)

  - ### setLastUpdate

    public DatanodeInfo.DatanodeInfoBuilder setLastUpdate(long lastUpdate)

  - ### setLastUpdateMonotonic

    public DatanodeInfo.DatanodeInfoBuilder setLastUpdateMonotonic(long lastUpdateMonotonic)

  - ### setXceiverCount

    public DatanodeInfo.DatanodeInfoBuilder setXceiverCount(int xceiverCount)

  - ### setAdminState

    public DatanodeInfo.DatanodeInfoBuilder setAdminState(DatanodeInfo.AdminStates adminState)

  - ### setUpgradeDomain

    public DatanodeInfo.DatanodeInfoBuilder setUpgradeDomain(String upgradeDomain)

  - ### setIpAddr

    public DatanodeInfo.DatanodeInfoBuilder setIpAddr(String ipAddr)

  - ### setHostName

    public DatanodeInfo.DatanodeInfoBuilder setHostName(String hostName)

  - ### setDatanodeUuid

    public DatanodeInfo.DatanodeInfoBuilder setDatanodeUuid(String datanodeUuid)

  - ### setXferPort

    public DatanodeInfo.DatanodeInfoBuilder setXferPort(int xferPort)

  - ### setInfoPort

    public DatanodeInfo.DatanodeInfoBuilder setInfoPort(int infoPort)

  - ### setInfoSecurePort

    public DatanodeInfo.DatanodeInfoBuilder setInfoSecurePort(int infoSecurePort)

  - ### setIpcPort

    public DatanodeInfo.DatanodeInfoBuilder setIpcPort(int ipcPort)

  - ### setNetworkLocation

    public DatanodeInfo.DatanodeInfoBuilder setNetworkLocation(String networkLocation)

  - ### setNonDfsUsed

    public DatanodeInfo.DatanodeInfoBuilder setNonDfsUsed(long nonDfsUsed)

  - ### setLastBlockReportTime

    public DatanodeInfo.DatanodeInfoBuilder setLastBlockReportTime(long time)

  - ### setLastBlockReportMonotonic

    public DatanodeInfo.DatanodeInfoBuilder setLastBlockReportMonotonic(long time)

  - ### setNumBlocks

    public DatanodeInfo.DatanodeInfoBuilder setNumBlocks(int blockCount)

  - ### setSoftwareVersion

    public DatanodeInfo.DatanodeInfoBuilder setSoftwareVersion(String dnVersion)

  - ### build

    public DatanodeInfo build()